Package htsjdk.variant.vcf

# Class VCFHeaderLineTranslator

java.lang.Object
htsjdk.variant.vcf.VCFHeaderLineTranslator

public class VCFHeaderLineTranslator extends Object
A class for translating between vcf header versions

## Constructor Summary

Constructors
Constructor
Description
`VCFHeaderLineTranslator()`

## Method Summary

Modifier and Type
Method
Description
`static Map<String,String>`
`parseLine(VCFHeaderVersion version, String valueLine, List<String> expectedTagOrder)`
`static Map<String,String>`
`parseLine(VCFHeaderVersion version, String valueLine, List<String> expectedTagOrder, List<String> recommendedTags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VCFHeaderLineTranslator

public VCFHeaderLineTranslator()

## Method Details

### parseLine

public static Map<String,String> parseLine(VCFHeaderVersion version, String valueLine, List<String> expectedTagOrder)

### parseLine

public static Map<String,String> parseLine(VCFHeaderVersion version, String valueLine, List<String> expectedTagOrder, List<String> recommendedTags)